Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 399108 - Need an I'm-not-dead-yet message when minefield takes a while to close
: Need an I'm-not-dead-yet message when minefield takes a while to close
Status: NEW
Product: Toolkit
Classification: Components
Component: Startup and Profile System (show other bugs)
: unspecified
: All All
: -- normal with 2 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
: Benjamin Smedberg [:bsmedberg]
: 447825 (view as bug list)
Depends on: 329736 338884
Blocks: 488809
  Show dependency treegraph
Reported: 2007-10-08 17:46 PDT by Ed Hume
Modified: 2011-06-11 16:37 PDT (History)
14 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---

Firefox 3.5.3 official exe (886.99 KB, application/octet-stream)
2009-10-08 02:45 PDT, geko2u
no flags Details

Description Ed Hume 2007-10-08 17:46:40 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a9pre) Gecko/2007100804 Minefield/3.0a9pre
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a9pre) Gecko/2007100804 Minefield/3.0a9pre

When I shut down minefield it takes about 25 seconds after the browser is closed until firefox.exe is no longer present in my task manager. This means that restarts take 30 seconds. It also means that if I shut down minefield I cannot restart it or start Firefox until I have waited that 25 seconds.

Firefox should leave an "I'm not dead yet" message until it is done doing whatever it does as it shuts down - a reverse splash screen, if you will.

Reproducible: Always

Steps to Reproduce:
1. Close Minefield.
2. Try to start it again or
3. Try to start Firefox.
Actual Results:  
There is an error message to the effect that another instance of Firefox is running.

Expected Results:  
Immediate restart.

If not that, some indication that Minefield is still active.

My places.sqlite file is 5318KB. 

Minefield does not seem to handle large bookmark collections very well.
Comment 1 Jesse Ruderman 2007-10-08 18:13:31 PDT
It would be even better if it didn't take so long to shut down ;)
Comment 2 Ria Klaassen (not reading all bugmail) 2007-10-09 00:22:47 PDT
Sometimes I even get the "Close Firefox..." message twice when I am in a hurry to start Firefox again after closing it. 
Comment 3 Ed Hume 2007-11-22 17:06:31 PST
I just received an email listing this bug as FIXED - WORKSFORME.

I then timed fx3. From when I clicked on the X to close the browser, it took 36 seconds for the firefox.exe listing to disappear from the Task Manager. 

It is true that the Firefox listing will disappear from the Applications tab of the Task Manager, but it is the firefox.exe listing in the Processes tab that tells us the app is still there.

This bug is not fixed.
Comment 4 Jesse Ruderman 2007-11-23 19:16:54 PST
You misread your bugmail.  This bug was not worked as WORKSFORME; bug 338884 was.
Comment 5 Ed Hume 2008-02-03 09:02:24 PST
Bug 407981 is a dupe of this bug. Bug 415201 covers the performance aspect relating to this bug. I would like to recommend that all further discussions occur in those bugs.
Comment 6 Ria Klaassen (not reading all bugmail) 2008-07-24 13:23:36 PDT
*** Bug 447825 has been marked as a duplicate of this bug. ***
Comment 7 Thomas Bertels 2008-08-07 07:58:08 PDT
(In reply to comment #5)

Bug 407981 seems focused on the Places issue, when this bug seems to be about the fact that we shouldn't have a message stating that Firefox is dead when it's not.

See for the code about it.
Comment 8 James May [:fowl] 2008-12-02 08:53:28 PST
Wouldn't clearer notification on the less common case of the creation of a new instance be better than an always-on bastion of our less-than impressive shut-down performance?
Comment 9 geko2u 2009-10-08 02:45:35 PDT
Created attachment 405236 [details]
Firefox 3.5.3 official exe
Comment 10 Thomas Bertels 2009-10-09 00:08:05 PDT
geko2u> Could you please attach the code ?
Comment 11 Thomas Bertels 2009-10-09 00:19:59 PDT
Comment on attachment 405236 [details]
Firefox 3.5.3 official exe

It's actually the official exe from Firefox 3.5.3.

By the way, the bug that introduced the problematic message is  bug 253950.
Comment 12 dan_500 2009-11-01 13:23:24 PST
from bug #447825 :
I can't start firefox shortly after quit. There should be a message "Wait while
firefox is restarting" and may a status bar [======....]. After successful quit
firefox should start instantly.

Note You need to log in before you can comment on or make changes to this bug.